getQuoteLinePricesByItemIds
READGet quote line prices by item ids.
POST /api/v1/sales/getQuoteLinePricesByItemIds
curl -X POST '<your-host>/api/v1/sales/getQuoteLinePricesByItemIds' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"itemIds": [],
"currentQuoteId": "string"
}'Response
{
"results": [
{
"additionalCharges": "…",
"companyId": "string",
"configuration": "…",
"createdBy": "string",
"customerId": "string",
"customerPartId": "string",
"customerPartRevision": "string",
"customFields": "…",
"description": "string",
"estimatorId": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"itemId": "string",
"itemReadableId": "string",
"itemType": "string",
"locationId": "string",
"methodType": "Purchase to Order",
"noQuoteReason": "string",
"priceTrace": "…",
"pricingRuleId": "string",
"qty": 0,
"quantity": [
0
],
"quoteCreatedAt": "string",
"quoteId": "string",
"quoteReadableId": "string",
"quoteRevisionId": 0,
"sortOrder": 0,
"status": "In Progress",
"tags": [
"string"
],
"taxPercent": 0,
"thumbnailPath": "string",
"unitCost": 0,
"unitOfMeasureCode": "string",
"unitPrice": 0,
"unitPricePrecision": 0,
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"itemIds": {
"type": "array",
"items": {
"type": "string"
}
},
"currentQuoteId": {
"type": "string"
}
},
"required": [
"itemIds",
"currentQuoteId"
]
}